This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477080 - authconfig-tui aborts looking for Fingerprint reader
authconfig-tui aborts looking for Fingerprint reader
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 19:12 EST by Andrew Bartlett
Modified: 2008-12-19 04:49 EST (History)
1 user (show)

See Also:
Fixed In Version: authconfig-5.4.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 04:49:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2008-12-18 19:12:15 EST
Description of problem:
On machine 'yum update -y' from Fedora pre-9 rawhide to Fedora 10 rawhide, authconfig won't start.

AttributeError: 'module' object has no attribute 'PATH_PAM_FPRINTF'

Version-Release number of selected component (if applicable):
authconfig-5.4.5-2.fc11.x86_64
pam-1.0.2-2.fc10.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Run authconfig-tui
2. traceback
3.
  
Actual results:
[root@fedora-10 ~]# authconfig-tui 
Traceback (most recent call last):
  File "/usr/sbin/authconfig-tui", line 855, in <module>
    module.run()
  File "/usr/sbin/authconfig-tui", line 452, in run
    if not self.doUI():
  File "/usr/sbin/authconfig-tui", line 836, in doUI
    if not self.getChoices():
  File "/usr/sbin/authconfig-tui", line 776, in getChoices
    rc = self.getMainChoices()
  File "/usr/sbin/authconfig-tui", line 484, in getMainChoices
    warnFprintd = [authinfo.PATH_PAM_FPRINTF, _("Fingerprint reader"), "pam_fprintd", None]
AttributeError: 'module' object has no attribute 'PATH_PAM_FPRINTF'
[root@fedora-10 ~]# rpm -q authconfig-tui
package authconfig-tui is not installed
[root@fedora-10 ~]# rpm -q authconfig
authconfig-5.4.5-2.fc11.x86_64


Expected results:
authconfig-tui to appear

Additional info:
Am I just missing a package due the odd method by which this was installed?  In any case, it should not bomb out like this.
Comment 1 Tomas Mraz 2008-12-19 04:49:52 EST
This is just a typo FPRINTF->FPRINTD.

Note You need to log in before you can comment on or make changes to this bug.